Get a contact
GET /contacts/{contact_id}
curl -X GET "https://app.bualpro.com/api/contacts/123" \
-H "Content-Type: application/json" \
-H "X-ACCESS-TOKEN: YOUR_API_KEY"
import requests
import json
url = "https://app.bualpro.com/api/contacts/123"
headers = {
"Content-Type": "application/json",
"X-ACCESS-TOKEN": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://app.bualpro.com/api/contacts/123", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-ACCESS-TOKEN": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://app.bualpro.com/api/contacts/123", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-ACCESS-TOKEN", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://app.bualpro.com/api/contacts/123')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-ACCESS-TOKEN'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"id": 123,
"page_id": 123,
"first_name": "Johan",
"last_name": "Ahmad",
"channel": 42,
"profile_pic": "example_string",
"locale": "example_string",
"gender": 42,
"timezone": 42,
"last_sent": 42,
"last_delivered": 42,
"last_seen": 42,
"last_interaction": 42,
"subscribed_date": "example_string",
"subscribed": 42,
"tags": [
{
"id": 123,
"name": "Johan Ahmad"
}
],
"custom_fields": [
{
"id": 123,
"name": "Johan Ahmad",
"type": 42,
"value": "example_string"
}
]
}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
/contacts/{contact_id}Target server for requests. Edit to use your own host.
API key (sent in header)
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Path Parameters
Responses
0 - Messenger, 2 - SMS, 5 - WhatsApp, 7 - Google Business Message, 8 - Telegram, 9 - Webchat
0 - Female, 1 - Male, 2 - Unknown
Unix timestamp in milliseconds
Unix timestamp in milliseconds
Unix timestamp in milliseconds
Unix timestamp in milliseconds
Subscribed date in UTC. Example 2022-10-12 14:40:00
1 - Subscribed, 2 - Unsubscribed
Get contact by contact id